package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 智慧校园_审核意见对象 zhxy_shyj
 * 
 * @author ruoyi
 * @date 2023-05-30
 */
public class ZhxyShyj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 数据ID */
    @Excel(name = "数据ID")
    private Long dataId;

    /** 审核类型（1：学校注册，2：老师注册，3：家长注册，4：调课） */
    @Excel(name = "审核类型", readConverterExp = "1=：学校注册，2：老师注册，3：家长注册，4：调课")
    private String type;

    /** 审核人id */
    @Excel(name = "审核人id")
    private Long auditId;

    /** 审核人名称 */
    @Excel(name = "审核人名称")
    private String auditUser;

    /** 审核结果（是否通过  1：待审核，2：通过 3:不通过) */
    @Excel(name = "审核结果", readConverterExp = "审核结果（是否通过  1：待审核，2：通过 3:不通过)")
    private String shjg;

    /** 审核意见 */
    @Excel(name = "审核意见")
    private String shyj;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date shsj;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDataId(Long dataId) 
    {
        this.dataId = dataId;
    }

    public Long getDataId() 
    {
        return dataId;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setAuditId(Long auditId) 
    {
        this.auditId = auditId;
    }

    public Long getAuditId() 
    {
        return auditId;
    }
    public void setAuditUser(String auditUser) 
    {
        this.auditUser = auditUser;
    }

    public String getAuditUser() 
    {
        return auditUser;
    }
    public void setShjg(String shjg) 
    {
        this.shjg = shjg;
    }

    public String getShjg() 
    {
        return shjg;
    }
    public void setShyj(String shyj) 
    {
        this.shyj = shyj;
    }

    public String getShyj() 
    {
        return shyj;
    }
    public void setShsj(Date shsj) 
    {
        this.shsj = shsj;
    }

    public Date getShsj() 
    {
        return shsj;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataId", getDataId())
            .append("type", getType())
            .append("auditId", getAuditId())
            .append("auditUser", getAuditUser())
            .append("shjg", getShjg())
            .append("shyj", getShyj())
            .append("shsj", getShsj())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
